LegacyPackedInts (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.packed, class: LegacyPackedInts

Package org.apache.lucene.backward_codecs.packed

# Class LegacyPackedInts

java.lang.Object
org.apache.lucene.backward_codecs.packed.LegacyPackedInts

public class LegacyPackedInts extends Object
Legacy PackedInts operations.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PackedInts.Reader`
  `getReaderNoHeader(DataInput in, PackedInts.Format format, int version, int valueCount, int bitsPerValue)`
  Expert: Restore a `PackedInts.Reader` from a stream without reading metadata at the beginning of the stream.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getReaderNoHeader

    public static PackedInts.Reader getReaderNoHeader(DataInput in, PackedInts.Format format, int version, int valueCount, int bitsPerValue) throws IOException
    Expert: Restore a `PackedInts.Reader` from a stream without reading metadata at the beginning of the stream. This method is useful to restore data from streams which have been created using `PackedInts.getWriterNoHeader(DataOutput, PackedInts.Format, int, int, int)`.
    Parameters:
      `in` - the stream to read data from, positioned at the beginning of the packed values
      `format` - the format used to serialize
      `version` - the version used to serialize the data
      `valueCount` - how many values the stream holds
      `bitsPerValue` - the number of bits per value
    Returns:
      a Reader
    Throws:
      `IOException` - If there is a low-level I/O error
    See Also:
      - `PackedInts.getWriterNoHeader(DataOutput, PackedInts.Format, int, int, int)`
    NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.